using System.Text.Json.Serialization;

namespace View_by_Distance.Save.Image.Info.Models;

public class ImageInfo
{

    public DateTime? CreationTime { get; init; }
    public DateTime? LastWriteTime { get; init; }
    public long? Length { get; init; }
    public string Name { get; init; }

    [JsonConstructor]
    public ImageInfo(DateTime? creationTime, DateTime? lastWriteTime, long? length, string name)
    {
        CreationTime = creationTime;
        LastWriteTime = lastWriteTime;
        Length = length;
        Name = name;
    }
}